import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RlDatepickerPopupDirective } from './src/datepickerPopup.directive';
import { RlDatePickerInputComponent } from './src/datepicker-input.component';
import { RlDatePickerPopupComponent } from './src/datepicker-popup.component';
import { FormsModule } from '@angular/forms';
import { DatepickerModule } from 'ngx-bootstrap';
import 'rxjs/Rx';
export * from './src/datepicker-input.component';
var RlDatePickerModule = (function () {
    var RlDatePickerModule = RlDatePickerModule_1 = function RlDatePickerModule() {
    };
    RlDatePickerModule.forRoot = function () {
        return {
            ngModule: RlDatePickerModule_1
        };
    };
    RlDatePickerModule = RlDatePickerModule_1 = __decorate([
        NgModule({
            imports: [
                CommonModule,
                FormsModule,
                DatepickerModule.forRoot()
            ],
            declarations: [
                RlDatePickerInputComponent,
                RlDatePickerPopupComponent,
                RlDatepickerPopupDirective,
            ],
            exports: [
                RlDatePickerInputComponent,
                RlDatePickerPopupComponent,
                RlDatepickerPopupDirective,
            ]
        })
    ], RlDatePickerModule);
    return RlDatePickerModule;
    var RlDatePickerModule_1;
}());
export { RlDatePickerModule };
//# sourceMappingURL=index.js.map