import { OnInit, OnDestroy, ElementRef, DoCheck } from '@angular/core';
import { AbstractControlDirective, NgControl } from '@angular/forms';
export declare class RlDatePickerComponent implements OnInit, DoCheck, OnDestroy {
    private el;
    private control;
    /**
     * Get the Element Container of the Button
     */
    private OpenBtn;
    ngModel: AbstractControlDirective;
    options: any;
    opened: boolean;
    dateObject: Date;
    private $dateObject;
    private docmousedown;
    private subscriber;
    constructor(el: ElementRef, control: NgControl);
    ngOnInit(): void;
    ngOnDestroy: () => void;
    ngDoCheck(): void;
    /**
     * Get the HTMLElement of this Element
     * @returns {HTMLElement}
     * @constructor
     */
    private readonly LayoutElement;
    /**
     * Get the HTMLElement of the Datepicker
     * @returns {HTMLElement}
     * @constructor
     */
    private readonly DatepickerElement;
    /**
     * Get the HTMLElement of this Button
     * @returns {HTMLElement}
     * @constructor
     */
    private readonly OpenBtnElement;
    private removeEventListener();
    private addEventListener();
    open(): void;
    setToToday(): void;
    clearDate(): void;
}
